﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="TemplateColumn.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>
<%@ Register Assembly="Syncfusion.Shared.Web"
    Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base"
    Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base"
    Namespace="Syncfusion.Grouping" TagPrefix="cc3" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body bgcolor="#edf0f6">
    <form id="form1" runat="server">
    <div>
        &nbsp;<sfwg:GridGroupingControl ID="GridGroupingControl1" runat="server" AfterCallbackResponseProcessedScript=""
            AfterCallbackScript="" BeforeCallbackResponseProcessingScript="" BeforeCallbackScript=""
            DataSourceID="AccessDataSource1">
            <TableDescriptor AllowNew="False">
                <VisibleColumns>
                    <sfwg:GridVisibleColumnDescriptor Name="CategoryID" />
                    <sfwg:GridVisibleColumnDescriptor Name="CategoryName" />
                    <sfwg:GridVisibleColumnDescriptor Name="Description" />
                    <sfwg:GridVisibleColumnDescriptor Name="Check" />
                </VisibleColumns>
                <Columns>
                    <sfwg:GridColumnDescriptor MappingName="CategoryID">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="CategoryName">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="Description">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="Check">
                        <Appearance>
                            <ColumnHeaderCell Enabled="False" Format="" />
                            <AnyRecordFieldCell HorizontalAlignment="Center" VerticalAlignment="Middle" />
                            <RecordFieldCell HorizontalAlignment="Center" VerticalAlignment="Middle" WrapText="True" />
                        </Appearance>
                        <ItemTemplate>
                            <asp:CheckBox ID="RecordCheck" runat="server" Text=" " OnCheckedChanged="RecordCheck_CheckedChanged"/>
                        </ItemTemplate>
                    </sfwg:GridColumnDescriptor>
                </Columns>
                <Appearance>
                    <ColumnHeaderCell WrapText="True" />
                </Appearance>
                <GridUnboundFields>
                    <sfwg:GridUnboundFieldDescriptor Name="Check" />
                </GridUnboundFields>
            </TableDescriptor>
        </sfwg:GridGroupingControl>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server"
            SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]">
        </asp:AccessDataSource>
    
    </div>
        <br />
        <asp:Button ID="btnPostBack" runat="server" Text="PostBack" OnClick="btnPostBack_Click" /><br />
        <br />
        &nbsp;<asp:Label ID="lblInfo" runat="server"></asp:Label>
    </form>
</body>
</html>
