using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Web.UI.WebControls.Tools;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;

public partial class _Default : System.Web.UI.Page 
{
    string list;
    protected void Page_init(object sender, EventArgs e)
    {
        this.AccessDataSource1.DataFile = Server.MapPath("\\Syncfusion\\Web\\Data\\NWIND.MDB");

        this.GridGroupingControl1.TableDescriptor.PrimaryKeyColumns.Clear();
        this.GridGroupingControl1.TableDescriptor.PrimaryKeyColumns.Add("CategoryID");

        this.GridGroupingControl1.DataBind();
    }

    protected void RecordCheck_CheckedChanged(object sender, System.EventArgs e)
    {
        CheckBox checkbox1 = (CheckBox)sender;
        GridRow gridrow = (GridRow)checkbox1.Parent.Parent;
        string CategoryID = gridrow.Record.GetValue("CategoryID").ToString();
        if (checkbox1 != null)
        {
            lblInfo.Text = "";
            if (checkbox1.Checked == true)
            {
                lblInfo.Text = list + "Category <B> " + CategoryID + "</B> Checked <br>";
            }
            else
            {
                lblInfo.Text = list + "Category <B> " + CategoryID + "</B> UnChecked<br>";
            }
        }
        list = lblInfo.Text;
    }
    protected void btnPostBack_Click(object sender, EventArgs e)
    {
        this.GridGroupingControl1.PostBackOnFocusedChanged = true;
        this.GridGroupingControl1.EnableCallbacks = false;
        this.GridGroupingControl1.PostBackOnRowDblClick = false;
    }
}
